
<?xml version="1.0" encoding="iso-8859-1"?>
<!DOCTYPE html 
     PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
     "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">

<!--

    Methods

  -->
<html xmlns="http://www.w3.org/1999/xhtml" xml:lang="en" lang="en">
<head>
  <title>Methods</title>
  <meta http-equiv="Content-Type" content="text/html; charset=iso-8859-1" />
  <link rel="stylesheet" href="rdoc-style.css" type="text/css" />
  <base target="docwin" />
</head>
<body>
<div id="index">
  <h1 class="section-bar">Methods</h1>
  <div id="index-entries">
    <a href="classes/HomepageController.html#M000028">about (HomepageController)</a><br />
    <a href="classes/LoginController.html#M000076">add_user (LoginController)</a><br />
    <a href="classes/VirtualEnvironment.html#M000014">all_possible (VirtualEnvironment)</a><br />
    <a href="classes/CytoskeletonHelper.html#M000093">area_controls (CytoskeletonHelper)</a><br />
    <a href="classes/CytoskeletonController.html#M000063">areas (CytoskeletonController)</a><br />
    <a href="classes/User.html#M000049">authenticate (User)</a><br />
    <a href="classes/CytoskeletonController.html#M000066">close_details (CytoskeletonController)</a><br />
    <a href="classes/Development.html#M000084">commits_per_dir (Development)</a><br />
    <a href="classes/AdminController.html#M000010">create (AdminController)</a><br />
    <a href="classes/OpenVZ.html#M000030">create (OpenVZ)</a><br />
    <a href="classes/Nucleus.html#M000068">create (Nucleus)</a><br />
    <a href="classes/NucleusController.html#M000039">create (NucleusController)</a><br />
    <a href="classes/VE.html#M000044">db_info (VE)</a><br />
    <a href="classes/LoginController.html#M000079">delete_user (LoginController)</a><br />
    <a href="classes/Nucleus.html#M000072">destroy (Nucleus)</a><br />
    <a href="classes/OpenVZ.html#M000029">destroy (OpenVZ)</a><br />
    <a href="classes/AdminController.html#M000013">destroy (AdminController)</a><br />
    <a href="classes/NucleusController.html#M000042">destroy (NucleusController)</a><br />
    <a href="classes/OpenVZ.html#M000033">df (OpenVZ)</a><br />
    <a href="classes/CytoskeletonHelper.html#M000094">display_area (CytoskeletonHelper)</a><br />
    <a href="classes/OpenVZ.html#M000036">dsa_fingerprint (OpenVZ)</a><br />
    <a href="classes/List.html#M000074">each (List)</a><br />
    <a href="classes/DiskSpaces.html#M000090">each (DiskSpaces)</a><br />
    <a href="classes/DiskSpaces.html#M000091">each_with_index (DiskSpaces)</a><br />
    <a href="classes/AdminController.html#M000011">edit (AdminController)</a><br />
    <a href="classes/VirtualEnvironment.html#M000016">free_ip (VirtualEnvironment)</a><br />
    <a href="classes/VirtualEnvironment.html#M000015">grab_available_ip (VirtualEnvironment)</a><br />
    <a href="classes/VirtualEnvironment.html#M000017">grab_available_veid (VirtualEnvironment)</a><br />
    <a href="classes/VE.html#M000045">id (VE)</a><br />
    <a href="classes/VE.html#M000046">inconsistent? (VE)</a><br />
    <a href="classes/TerminalController.html#M000022">index (TerminalController)</a><br />
    <a href="classes/DevelopmentController.html#M000054">index (DevelopmentController)</a><br />
    <a href="classes/AdminController.html#M000006">index (AdminController)</a><br />
    <a href="classes/HomepageController.html#M000026">index (HomepageController)</a><br />
    <a href="classes/InternalController.html#M000057">index (InternalController)</a><br />
    <a href="classes/CytoskeletonController.html#M000061">index (CytoskeletonController)</a><br />
    <a href="classes/NucleusController.html#M000037">index (NucleusController)</a><br />
    <a href="classes/CytoskeletonController.html#M000065">instructions (CytoskeletonController)</a><br />
    <a href="classes/VE.html#M000048">ip_addr (VE)</a><br />
    <a href="classes/List.html#M000075">items (List)</a><br />
    <a href="classes/Development.html#M000083">last_10_commits (Development)</a><br />
    <a href="classes/HomepageController.html#M000027">links (HomepageController)</a><br />
    <a href="classes/InternalController.html#M000058">list (InternalController)</a><br />
    <a href="classes/AdminController.html#M000007">list (AdminController)</a><br />
    <a href="classes/LoginController.html#M000080">list_users (LoginController)</a><br />
    <a href="classes/DevelopmentController.html#M000055">log (DevelopmentController)</a><br />
    <a href="classes/LoginController.html#M000077">login (LoginController)</a><br />
    <a href="classes/LoginController.html#M000078">logout (LoginController)</a><br />
    <a href="files/app/models/internal_rb.html#M000001">make_human_methods (app/models/internal.rb)</a><br />
    <a href="classes/Memory.html#M000020">method_missing (Memory)</a><br />
    <a href="classes/DiskSpace.html#M000025">method_missing (DiskSpace)</a><br />
    <a href="classes/List.html#M000073">new (List)</a><br />
    <a href="classes/DevelopmentController.html#M000053">new (DevelopmentController)</a><br />
    <a href="classes/DiskSpace.html#M000024">new (DiskSpace)</a><br />
    <a href="classes/AdminController.html#M000009">new (AdminController)</a><br />
    <a href="classes/InternalController.html#M000056">new (InternalController)</a><br />
    <a href="classes/Development.html#M000082">new (Development)</a><br />
    <a href="classes/VE.html#M000043">new (VE)</a><br />
    <a href="classes/Internal.html#M000059">new (Internal)</a><br />
    <a href="classes/DiskSpaces.html#M000089">new (DiskSpaces)</a><br />
    <a href="classes/Menu.html#M000081">new (Menu)</a><br />
    <a href="classes/AdminController.html#M000005">new (AdminController)</a><br />
    <a href="classes/Memory.html#M000019">new (Memory)</a><br />
    <a href="classes/UpTime.html#M000021">new (UpTime)</a><br />
    <a href="classes/CytoskeletonController.html#M000060">new (CytoskeletonController)</a><br />
    <a href="classes/CytoskeletonController.html#M000067">open_details (CytoskeletonController)</a><br />
    <a href="classes/Development.html#M000088">owner (Development)</a><br />
    <a href="classes/User.html#M000051">password (User)</a><br />
    <a href="classes/User.html#M000052">password= (User)</a><br />
    <a href="classes/NucleusController.html#M000038">poll (NucleusController)</a><br />
    <a href="classes/InternalHelper.html#M000092">print_members (InternalHelper)</a><br />
    <a href="files/app/controllers/nucleus_controller_rb.html#M000004">process_error (app/controllers/nucleus_controller.rb)</a><br />
    <a href="files/app/controllers/internal_controller_rb.html#M000002">process_error (app/controllers/internal_controller.rb)</a><br />
    <a href="classes/Development.html#M000085">rails_log (Development)</a><br />
    <a href="classes/Development.html#M000086">rails_log_all (Development)</a><br />
    <a href="files/app/controllers/nucleus_controller_rb.html#M000003">redirect_to_list (app/controllers/nucleus_controller.rb)</a><br />
    <a href="classes/Nucleus.html#M000069">reset_pass (Nucleus)</a><br />
    <a href="classes/Development.html#M000087">revision (Development)</a><br />
    <a href="classes/OpenVZ.html#M000035">rsa_fingerprint (OpenVZ)</a><br />
    <a href="classes/User.html#M000050">safe_delete (User)</a><br />
    <a href="classes/AdminController.html#M000008">show (AdminController)</a><br />
    <a href="classes/NucleusController.html#M000040">start (NucleusController)</a><br />
    <a href="classes/Nucleus.html#M000070">start (Nucleus)</a><br />
    <a href="classes/OpenVZ.html#M000032">start (OpenVZ)</a><br />
    <a href="classes/VE.html#M000047">status (VE)</a><br />
    <a href="classes/NucleusController.html#M000041">stop (NucleusController)</a><br />
    <a href="classes/OpenVZ.html#M000031">stop (OpenVZ)</a><br />
    <a href="classes/Nucleus.html#M000071">stop (Nucleus)</a><br />
    <a href="classes/TerminalController.html#M000023">terminal (TerminalController)</a><br />
    <a href="classes/ApplicationHelper.html#M000096">unicode_BALLOT_X (ApplicationHelper)</a><br />
    <a href="classes/ApplicationHelper.html#M000095">unicode_CHECK_MARK (ApplicationHelper)</a><br />
    <a href="classes/ApplicationHelper.html#M000097">unicode_CIRCLE_ARROW (ApplicationHelper)</a><br />
    <a href="classes/ApplicationHelper.html#M000098">unicode_HEART (ApplicationHelper)</a><br />
    <a href="classes/ApplicationHelper.html#M000099">unicode_SKULL (ApplicationHelper)</a><br />
    <a href="classes/AdminController.html#M000012">update (AdminController)</a><br />
    <a href="classes/CytoskeletonController.html#M000062">update_areas (CytoskeletonController)</a><br />
    <a href="classes/OpenVZ.html#M000034">uptime (OpenVZ)</a><br />
    <a href="classes/VirtualEnvironment.html#M000018">validate (VirtualEnvironment)</a><br />
    <a href="classes/CytoskeletonController.html#M000064">ve_info (CytoskeletonController)</a><br />
  </div>
</div>
</body>
</html>